[SCM] libav/experimental: fate: run diff even if command fails

siretart at users.alioth.debian.org siretart at users.alioth.debian.org
Sun Jun 30 17:11:53 UTC 2013


The following commit has been merged in the experimental branch:
commit ffe72624e73d4fb27477e407a3e5b50b1a707e21
Author: Måns Rullgård <mans at mansr.com>
Date:   Tue Jul 20 12:54:43 2010 +0000

    fate: run diff even if command fails
    
    The diff may provide useful information even if the command was
    unsuccessful.  The test is still treated as failed in this case.
    
    Originally committed as revision 24353 to svn://svn.ffmpeg.org/ffmpeg/trunk

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 4112e1a..2db31ac 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -95,7 +95,8 @@ seektest(){
 
 mkdir -p "$outdir"
 
-$command > "$outfile" 2>/dev/null || exit
+$command > "$outfile" 2>/dev/null
+err=$?
 
 if ! test -e "$ref"; then
     echo "reference file '$ref' not found"
@@ -108,4 +109,6 @@ case $cmp in
     stddev) stddev     "$ref" "$outfile" "$fuzz"    ;;
 esac
 
-test $? = 0 && rm $outfile
+cmperr=$?
+test $err = 0 && err=$cmperr
+test $err = 0 && rm $outfile

-- 
Libav/FFmpeg packaging



More information about the pkg-multimedia-commits mailing list